Pipelines

Generated from Depllo's own code: every route in this area, what it takes and how to call it.

Method Path What it does
GET /api/v1/pipelines/{id} Get a pipeline
POST /api/v1/pipelines/{id}/cancel Cancel a pipeline
POST /api/v1/pipelines/{id}/retry Retry a pipeline

Get a pipeline

GET /api/v1/pipelines/{id}

Path parameters

Name Type Required Notes
id string yes

Example

curl -X GET "https://depllo.forjio.com/api/v1/pipelines/:id" \
  -H "Authorization: Bearer sk_live_<your API key>"

Cancel a pipeline

POST /api/v1/pipelines/{id}/cancel

Path parameters

Name Type Required Notes
id string yes

Example

curl -X POST "https://depllo.forjio.com/api/v1/pipelines/:id/cancel" \
  -H "Authorization: Bearer sk_live_<your API key>"

Retry a pipeline

POST /api/v1/pipelines/{id}/retry

Path parameters

Name Type Required Notes
id string yes

Example

curl -X POST "https://depllo.forjio.com/api/v1/pipelines/:id/retry" \
  -H "Authorization: Bearer sk_live_<your API key>"